OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKBinTObj
BinTObjDrivers

# BinTObjDrivers_IntSparseArrayDriver Class Reference

`#include <BinTObjDrivers_IntSparseArrayDriver.hxx>`

Inheritance diagram for BinTObjDrivers_IntSparseArrayDriver:

[legend]

## Public Member Functions
Standard_EXPORT | BinTObjDrivers_IntSparseArrayDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT | Handle (TDF_Attribute) NewEmpty() const
Standard_EXPORT Standard_Boolean | Paste (const BinObjMgt_Persistent &theSource, const Handle(TDF_Attribute)&theTarget, BinObjMgt_RRelocationTable &theRelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&theSource, BinObjMgt_Persistent &theTarget, BinObjMgt_SRelocationTable &theRelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .

## Constructor & Destructor Documentation

Standard_EXPORT BinTObjDrivers_IntSparseArrayDriver::BinTObjDrivers_IntSparseArrayDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT BinTObjDrivers_IntSparseArrayDriver::Handle | ( | TDF_Attribute |  | ) | const

Standard_EXPORT void BinTObjDrivers_IntSparseArrayDriver::Paste | ( | const Handle(TDF_Attribute)& | theSource,
|  | BinObjMgt_Persistent & | theTarget,
|  | BinObjMgt_SRelocationTable & | theRelocTable
| ) | const`[virtual]`

| Implements BinMDF_ADriver.

Standard_EXPORT Standard_Boolean BinTObjDrivers_IntSparseArrayDriver::Paste | ( | const BinObjMgt_Persistent & | theSource,
|  | const Handle(TDF_Attribute)& | theTarget,
|  | BinObjMgt_RRelocationTable & | theRelocTable
| ) | const`[virtual]`

| Implements BinMDF_ADriver.

The documentation for this class was generated from the following file:

- BinTObjDrivers_IntSparseArrayDriver.hxx